# This is a minimal docker-compose.yml template for running a Duniter mirror node
# For more detailed examples, look at docker/compose folder
services:
  duniter-v2s-mirror:
    container_name: duniter-v2s-mirror
    # the image tells which network you are connecting to
    # here it is gdev network
    image: duniter/duniter-v2s-gdev:latest
    ports:
      # prometheus telemetry to monitor resource use
      - 9615:9615
      # RPC API (ws and http)
      - 9944:9944
      # public p2p endpoint
      - 30333:30333
    environment:
      # read https://duniter.org/wiki/duniter-v2/configure-docker/
      # to configure these
      DUNITER_NODE_NAME: duniter_local
      DUNITER_CHAIN_NAME: gdev
      DUNITER_PUBLIC_ADDR: /dns/your.domain.name/tcp/30333
      DUNITER_LISTEN_ADDR: /ip4/0.0.0.0/tcp/30333
    volumes:
      - duniter-local-data:/var/lib/duniter

volumes:
  duniter-local-data:
